## pax-utils 1.3.5

=== debian/changelog ===
pax-utils (1.3.5-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/control: add missing python3-pyelftools dependency

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 14 Aug 2022 23:31:27 +0200

pax-utils (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5
  * Switch build system to meson
  * Remove unused patches

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 01 Aug 2022 09:40:06 +0200

pax-utils (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.3 (unreleased)
  * New upstream version 1.3.4

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 27 Apr 2022 10:41:40 +0200

## pax-utils 1.3.7

=== debian/changelog ===
pax-utils (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 20 Feb 2023 19:05:26 +0100

=== debian/control ===
Source: pax-utils
Maintainer: Tomasz Buchert <tomasz@debian.org>
Section: misc
Priority: optional
Build-Depends: autoconf-archive,
               debhelper (>= 13),
               debhelper-compat (= 13),
               gnulib,
               libcap-dev [linux-any],
               meson,
               pkg-config,
               python3-pyelftools,
               python3:any,
               xmlto
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/pax-utils
Vcs-Git: https://salsa.debian.org/debian/pax-utils.git
Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
Rules-Requires-Root: no

Package: pax-utils
Architecture: any
Depends: binutils, ${misc:Depends}, ${shlibs:Depends}, python3:any,
 python3-pyelftools
Suggests: paxctl
Description: Security-focused ELF files checking tool
 This is a small set of various PaX aware and related utilities for ELF
 binaries. It can check ELF binary files and running processes for
 issues that might be relevant when using ELF binaries along with PaX,
 such as non-PIC code or executable stack and heap.
 .
 This package installs: dumpelf, lddtree, pspax, scanelf, scanmacho
 and symtree.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+pie,+bindnow

CONFIGURE_FLAGS=
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# pspax.c on Linux can use sys/capability.h
	# to get nice textual representations
	CONFIGURE_FLAGS += --with-caps
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlddtree_implementation=python \
		-Duse_seccomp=true \
		-Dbuild_manpages=enabled \
		-Dtests=true

## pax-utils 1.3.8

=== meson_options.txt ===
option('lddtree_implementation', type : 'combo',
  choices : ['python', 'sh', 'none'], value : 'python',
  description : 'Which lddtree implementation to install?')
option('use_libcap', type : 'feature', value : 'auto',
  description : 'Enable listing capabilities in pspax output (requires libcap)'
)
option('use_seccomp', type : 'boolean', value : true,
  description : 'Enable seccomp filters at runtime (does *not* require libseccomp, but does require kernel support)'
)
option('build_manpages', type : 'feature', value : 'auto',
  description : 'Build manuals via DocBook (requires xmlto)')
option('tests', type : 'boolean', value : true,
  description : 'Enable testing (not guaranteed to work)'
)
option('use_fuzzing', type : 'boolean', value : true,
  description : 'Also build LibFuzzer fuzzers as tests'
)

=== debian/changelog ===
pax-utils (1.3.8-1) unstable; urgency=medium

  * New upstream version 1.3.8

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 25 Sep 2024 21:41:37 +0200

pax-utils (1.3.7-2) unstable; urgency=medium

  * Fix seccomp filters for pspax (Closes: #1076816)
  * Change dependency on pkg-config to pkgconf

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 23 Jul 2024 20:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                gnulib,
                libcap-dev [linux-any],
                meson,
-               pkg-config,
+               pkgconf,
                python3-pyelftools,
                python3:any,
                xmlto
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/pax-utils
 Vcs-Git: https://salsa.debian.org/debian/pax-utils.git
 Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
@@ -20,8 +20,11 @@
 
 Package: pax-utils
 Architecture: any
-Depends: binutils, ${misc:Depends}, ${shlibs:Depends}, python3:any,
- python3-pyelftools
+Depends: binutils,
+         python3-pyelftools,
+         python3:any,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: paxctl
 Description: Security-focused ELF files checking tool
  This is a small set of various PaX aware and related utilities for ELF

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

https://gitweb.gentoo.org/proj/pax-utils.git/refs/ .*/pax-utils-(.*\..*).tar.gz

## pax-utils 1.3.10

=== debian/changelog ===
pax-utils (1.3.10-1) unstable; urgency=medium

  * New upstream version 1.3.10

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Feb 2026 12:34:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pax-utils
+Standards-Version: 4.7.3
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: misc
-Priority: optional
-Build-Depends: autoconf-archive,
-               debhelper (>= 13),
+Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
+               autoconf-archive,
                gnulib,
                libcap-dev [linux-any],
                meson,
@@ -12,11 +12,9 @@
                python3-pyelftools,
                python3:any,
                xmlto
-Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/pax-utils
 Vcs-Git: https://salsa.debian.org/debian/pax-utils.git
 Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
-Rules-Requires-Root: no
 
 Package: pax-utils
 Architecture: any
@@ -25,7 +23,6 @@
          python3:any,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: paxctl
 Description: Security-focused ELF files checking tool
  This is a small set of various PaX aware and related utilities for ELF
  binaries. It can check ELF binary files and running processes for
